Bug 1276135 - undefined method `+' for nil:NilClass [ops/rbac_group_edit]
undefined method `+' for nil:NilClass [ops/rbac_group_edit]
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Keenan Brock
Pavol Kotvan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 16:06 EDT by Dave Johnson
Modified: 2015-12-08 08:41 EST (History)
10 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:41:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Johnson 2015-10-28 16:06:03 EDT
Description of problem:
=============================
bascially you cannot create groups in 5.5.0.8 which blocks tenant testing.

The work around is:
bundle exec rails r "MiqGroup.where(:sequence => nil).update_all(:sequence => 1)"


Version-Release number of selected component (if applicable):
===========================
5.5.0.8


How reproducible:
====================
100%


Steps to Reproduce:
=======================
1.  deploy 5.5.0.8
2.  try to create a rbac group
3.

Actual results:


Expected results:


Additional info:
Comment 2 Greg McCullough 2015-10-29 09:03:19 EDT
Addressed upstream in https://github.com/ManageIQ/manageiq/pull/5164.

Still need to make an MR for the 5.5.
Comment 3 Keenan Brock 2015-11-02 12:24:25 EST
fixed by https://github.com/ManageIQ/manageiq/pull/5186
Comment 6 Keenan Brock 2015-11-13 12:08:18 EST
Merged, thanks
Comment 7 CFME Bot 2015-11-13 13:18:13 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=7a32314f457ba93ac0fb2b91470f82118e2d5a18

commit 7a32314f457ba93ac0fb2b91470f82118e2d5a18
Author:     Keenan Brock <kbrock@redhat.com>
AuthorDate: Fri Oct 30 16:26:43 2015 -0400
Commit:     Keenan Brock <kbrock@redhat.com>
CommitDate: Thu Nov 5 12:33:37 2015 -0500

    migrate miq_groups to assign sequence and guid
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276135

 .../20151030201919_fix_miq_group_sequences.rb      | 13 ++++++++++
 .../20151030201919_fix_miq_group_sequences_spec.rb | 29 ++++++++++++++++++++++
 2 files changed, 42 insertions(+)
 create mode 100644 db/migrate/20151030201919_fix_miq_group_sequences.rb
 create mode 100644 spec/migrations/20151030201919_fix_miq_group_sequences_spec.rb
Comment 8 CFME Bot 2015-11-13 13:18:21 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=4295f6e83fd6f0eab50b9a5d16202f507e9a0494

commit 4295f6e83fd6f0eab50b9a5d16202f507e9a0494
Author:     Keenan Brock <kbrock@redhat.com>
AuthorDate: Fri Oct 30 16:56:29 2015 -0400
Commit:     Keenan Brock <kbrock@redhat.com>
CommitDate: Thu Nov 5 12:33:41 2015 -0500

    specs: For group.count, change eq to expect change
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276135

 spec/models/miq_group_spec.rb | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)
Comment 9 CFME Bot 2015-11-13 13:18:27 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=bf7475782b4f8e956164d29461bda0263558db7d

commit bf7475782b4f8e956164d29461bda0263558db7d
Author:     Keenan Brock <kbrock@redhat.com>
AuthorDate: Wed Oct 28 11:26:56 2015 -0400
Commit:     Keenan Brock <kbrock@redhat.com>
CommitDate: Thu Nov 5 12:33:23 2015 -0500

    move next sequence calculation into miq_group
    
    - fix error around tenant groups with a nil sequence
    - set sequence by default
    - set sequence for tenant default_group
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276135

 app/controllers/ops_controller/ops_rbac.rb         |  2 -
 app/models/miq_group.rb                            | 14 ++-----
 .../20151021174140_assign_tenant_default_group.rb  |  2 +
 spec/factories/miq_group.rb                        |  2 +-
 ...51021174140_assign_tenant_default_group_spec.rb |  4 +-
 spec/models/miq_group_spec.rb                      | 46 +++++++++++++++++++++-
 6 files changed, 53 insertions(+), 17 deletions(-)
Comment 10 CFME Bot 2015-11-13 13:18:48 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=757f92d1058b430340bcedf97076cea565e3ea8c

commit 757f92d1058b430340bcedf97076cea565e3ea8c
Merge: 6eb275d 4295f6e
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Nov 13 08:52:19 2015 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Fri Nov 13 08:52:19 2015 -0500

    Merge branch 'group_sequence_rbac_mr' into '5.5.z'
    
    Group sequence rbac
    
    cleanly cherry picked from master. changed to add BZ comments
    
    
    https://github.com/ManageIQ/manageiq/pull/5164
    (with extra edits on PR from @matthewd that landed in capablanca)
    
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276135
    
    See merge request !369

 app/controllers/ops_controller/ops_rbac.rb         |  2 -
 app/models/miq_group.rb                            | 14 ++----
 .../20151021174140_assign_tenant_default_group.rb  |  2 +
 .../20151030201919_fix_miq_group_sequences.rb      | 13 +++++
 spec/factories/miq_group.rb                        |  2 +-
 ...51021174140_assign_tenant_default_group_spec.rb |  4 +-
 .../20151030201919_fix_miq_group_sequences_spec.rb | 29 +++++++++++
 spec/models/miq_group_spec.rb                      | 57 +++++++++++++++++++---
 8 files changed, 100 insertions(+), 23 deletions(-)
Comment 11 Pavol Kotvan 2015-11-19 04:30:03 EST
Verified against 5.5.0.11. Working as expected, I was able create new groups as super administrator.
Comment 13 errata-xmlrpc 2015-12-08 08:41:48 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.